package inherit.v3;

import java.util.List;



import hibintro.util.HibernateUtil;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Retrieval of all {@link Circle} objects from a database.
 *
 */
public class RetrieveRectangles {

  /**
   * @param args unused
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("inherit/v3/hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final Query searchUsers = session.createQuery("from inherit.v3.Rectangle");
    @SuppressWarnings("unchecked")
    final List<Rectangle> rectangleList = (List<Rectangle>) searchUsers.list();
    for (final Rectangle r: rectangleList) {
      System.out.println(r);
    }

    transaction.commit();
  }
}