package inherit.v3;

import java.util.List;



import hibintro.util.HibernateUtil;

import org.hibernate.Query;
import org.hibernate.Session;
import org.hibernate.Transaction;

/**
 * @author goik
 * 
 * Retrieval of all {@link Circle} objects from a database.
 *
 */
public class RetrieveAll {

  /**
   * @param args unused
   */
  public static void main(String[] args) {
    final Session session = HibernateUtil.createSessionFactory("inherit/v3/hibernate.cfg.xml").openSession();

    final Transaction transaction = session.beginTransaction();

    final Query searchUsers = session.createQuery("from inherit.v3.Figure");
    @SuppressWarnings("unchecked")
    final List<Figure> billingDetailsList = (List<Figure>) searchUsers.list();
    for (final Figure c: billingDetailsList) {
      System.out.println(c);
    }
    transaction.commit();
  }
}